Search documentation of polar_express

# PolarExpress.Resources.EventTypes (polar_express v0.1.5)

Copy Markdown View Source

Event-types

EventTypes API operations.

## Summary

### Types

t()

### Functions

object_name()

## Types

# t()

    @type t() :: %PolarExpress.Resources.EventTypes{
      created_at: String.t() | nil,
      id: String.t() | nil,
      label: String.t() | nil,
      label_property_selector: term() | nil,
      modified_at: term() | nil,
      name: String.t() | nil,
      organization_id: String.t() | nil
    }

- `created_at` - Creation timestamp of the object. Format: date-time.
- `id` - The ID of the object. Format: uuid4.
- `label` - The label for the event type.
- `label_property_selector` - Property path to extract dynamic label from event metadata.
- `modified_at` - Last modification timestamp of the object.
- `name` - The name of the event type.
- `organization_id` - The ID of the organization owning the event type. Format: uuid4.

## Functions

# object_name()